# The ImageFileIO Module

The ImageFileIO module can be used to read an image from a socket, or any other stream device.

This module is deprecated. New code should use the `Parser` class in the ImageFile module instead.

## Functions

### ImageFileIO (factory)

`ImageFileIO(stream)` adds buffering to a stream file object, in order to provide `seek` and `tell` methods required by the `Image.open` method. The stream object must implement `read` and `close` methods.